Package weka.gui.sql.event

# Class ResultChangedEvent

java.lang.Object
java.util.EventObject
weka.gui.sql.event.ResultChangedEvent

All Implemented Interfaces:
  `Serializable`

public class ResultChangedEvent extends EventObject
An event that is generated when a different Result is activated in the ResultPanel.

Version:
  $Revision: 8034 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - `ResultChangedListener`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultChangedEvent(Object source, String url, String user, String pw, String query)`
  constructs the event

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPassword()`
  returns the password that produced the table model
  `String`
  `getQuery()`
  returns the query that was executed
  `String`
  `getURL()`
  returns the database URL that produced the table model
  `String`
  `getUser()`
  returns the user that produced the table model
  `String`
  `toString()`
  returns the event in a string representation

  ### Methods inherited from class java.util.EventObject

  `getSource`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ResultChangedEvent

    public ResultChangedEvent(Object source, String url, String user, String pw, String query)
    constructs the event
    Parameters:
      `source` - the source that generated this event
      `url` - the current database url
      `user` - the current user
      `pw` - the current password
      `query` - the current query

- ## Method Details

  - ### getURL

    public String getURL()
    returns the database URL that produced the table model

  - ### getUser

    public String getUser()
    returns the user that produced the table model

  - ### getPassword

    public String getPassword()
    returns the password that produced the table model

  - ### getQuery

    public String getQuery()
    returns the query that was executed

  - ### toString

    public String toString()
    returns the event in a string representation
    Overrides:
      `toString` in class `EventObject`
    Returns:
      the event in a string representation